<div class="modal fade" id="approval-modal" role="dialog">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">&{'form_persetujuan.label'}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-lg-12">
                        <p>&{'catatan.label'}</p>
                        <form id="rating-form">
                        #{authenticityToken /}
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <input class="form-control rejected-reason" value="" data-value="&{'paket.approval_message_empty'}"/>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                <button type="button" data-value="${paket?.statusMessage?.approveUrl}" class="btn btn-primary setuju" >&{'setuju.label'}</button>&nbsp;
                <button type="button" data-value="${paket?.statusMessage?.rejectUrl}" class="btn btn-danger tolak" >&{'tolak.label'}</button>
            </div>
        </div>
    </div>
</div>
<script src="@{'/public/javascripts/jquery-1.12.1.min.js'}" type="text/javascript"> </script>
*{asep as: 06,feb,2019, terlalu dalam include htmlnya sehingga tidak sampai ke depan, gagal click}*
*{#{set 'moreScripts'}}*

<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">

    var redirectTo = '${paket?.getDetailUrl()}';
    var rejectedReason = jQuery('.rejected-reason');
    var primaryButton = jQuery('.setuju');
    var secondaryButton = jQuery('.tolak');

    jQuery(document).ready(function () {
        jQuery('.open-approval').click(function () {
            jQuery('#approval-modal').modal({
                backdrop: 'static',
                keyboard: false
            });
        });

        $("#approval-modal").on("hidden.bs.modal", function () {

        });

        primaryButton.click(function () {
            validate(jQuery(this));
        });

        secondaryButton.click(function () {
            validate(jQuery(this));
        });

        function validate(view) {
            if (rejectedReason.val() !== '') {
                send(view);
            } else {
                showToast(rejectedReason.data('value'));
            }
        }

        function send(view) {
            disabledButtons(true);
            jQuery.ajax({
                url: view.data('value'),
                type: 'POST',
                data: {
                    message: rejectedReason.val(),
                    authenticityToken: jQuery('input[name=authenticityToken]').val()
                }
            }).success(function (s) {
                redirecting();
                closeModal();
            }).fail(function (e) {
                redirecting();
                closeModal();
            });
        }

        function redirecting() {
            window.location.href = redirectTo;
        }

        function closeModal() {
            jQuery('#approval-modal').modal('hide');
        }

        function showToast(message) {
            jQuery.toast({
                heading: 'Oops',
                text: message,
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }

        function disabledButtons(status) {
            if (status) {
                primaryButton.addClass('disabled');
                secondaryButton.addClass('disabled');
            } else {
                primaryButton.removeClass('disabled');
                secondaryButton.removeClass('disabled');
            }
        }

    });
</script>
*{#{/set}}*